name: Bug report
description: Create a report to help us improve
labels: [bug]

body:
  - type: markdown
    attributes:
      value: |
        # Before reporting
        Please do the following steps before reporting an issue.

        - I have updated my neovim version to latest _master_
        - I have updated my plugin to the latest version
        - I have run `:TSUpdate`
        - I have read the [troubleshooting section](https://github.com/nvim-treesitter/nvim-treesitter#troubleshooting)

  - type: textarea
    attributes:
      label: Describe the bug
      description: A clear and concise description of what the bug is.
    validations:
      required: true

  - type: textarea
    attributes:
      label: To Reproduce
      description: Steps to reproduce the behavior.
      placeholder: |
        1. Go to '...'
        2. Click on '....'
        3. Scroll down to '....'
        4. See error
    validations:
      required: true

  - type: textarea
    attributes:
      label: Expected behavior
      description: A clear and concise description of what you expected to happen.

  - type: textarea
    attributes:
      label: Output of `:checkhealth nvim-treesitter`
      render: markdown
    validations:
      required: true

  - type: textarea
    attributes:
      label: Output of `nvim --version`
      render: text
    validations:
      required: true

  - type: textarea
    attributes:
      label: Additional context
      description: Add any context about the problem here.
